[SciPy-User] Installing SciPy on Mac OSX 10.6.5 - build errors with fftpack.so?

Ralf Gommers ralf.gommers@googlemail....
Tue Nov 30 04:04:52 CST 2010


On Tue, Nov 30, 2010 at 8:23 AM, Rob Newman <rlnewman@ucsd.edu> wrote:

> Hi there SciPy gurus,
>
> I am trying to install SciPy on my OSX machine. I have successfully
> installed Numpy and Matplotlib just fine, but am running into problems with
> SciPy. As per the SciPy website instructions, here is the information
> requested to help troubleshoot this. I searched the archives, but the posts
> seemed related to users having problems installing both packages, not just
> SciPy. It looks to me like the build fails at the g77 compile, possibly
> related to the library fftpack.so
>
> Note that I have both Fortran g77 and GFortran installed just fine.
>

This looks familiar, but I can't remember the details. A few remarks:
1. You don't need/want g77, only gfortran.
2. The recommended gfortran is http://r.research.att.com/gfortran-4.2.3.dmg,
you have another one.
3. Numpy 1.5.0 had a distutils bug which could be related, try 1.5.1
4. You want to use the same compiler used for compiling Python. It looks
like you compiled Python yourself, or at least you're not using the dmg
installer from python.org. Default compiler is gcc-4.0, try using that
either by setting CC/CXX, or by symlinking gcc/g++/c++ to the 4.0 versions.

Cheers,
Ralf
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-user/attachments/20101130/70c50b5a/attachment.html 


More information about the SciPy-User mailing list